# Aytina
**Aytina** is a reversed [Anitya](https://release-monitoring.org/). What is a reversed Anitya you may ask? Well, simple! I have no idea myself, if you ever find out, please open an issue.

Anyway, for you crazy people who are more interested on what this program does than on its name, this program allows you to easily track projects from Anitya. It supports notification and uses systemd timers to automatically notify you of new releases! This program is useful for when no tool like [*"the-new-hotness"*](https://github.com/fedora-infra/the-new-hotness/) is available to alert packagers of new releases, as with [*"COPR"*](https://copr.fedorainfracloud.org/). This program may also be useful for individual users who just want to be alerted of new releases for their favorite programs.

# Build & Installation
## From a stable release
### Fedora
`WIP`

### From cargo
`WIP`

### From source
You will need cargo from the Rust tool chain for the compilation. Install it from your favorite Package Manager or using [rustup](https://rustup.rs/).
```
$ git clone https://pagure.io/aytina.git
$ git checkout <release> # Replace <release> by the release
$ cargo build --release
$ # If you want to install the generated binary in your path:
$ cp target/release/aytina ~/.local/bin
```

## From master
You will need cargo from the Rust tool chain for the compilation. Install it from your favorite Package Manager or using [rustup](https://rustup.rs/).
```
$ git clone https://pagure.io/aytina.git
$ cargo build
```
The resulting binary is found at `target/debug/aytina`.